<?xml version="1.0"?>
<project
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd"
	xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>org.josast</groupId>
		<artifactId>JOSAST-parent</artifactId>
		<version>0.0.2-SNAPSHOT</version>
	</parent>


	<artifactId>ApplicationEntrySatDecoder</artifactId>
	<name>ApplicationEntrySatDecoder</name>
	<url>http://www.amsat-f.org</url>


	<dependencies>
		<!-- https://mvnrepository.com/artifact/io.kaitai/kaitai-struct-runtime -->
		<dependency>
			<groupId>io.kaitai</groupId>
			<artifactId>kaitai-struct-runtime</artifactId>
			<version>0.8</version>
		</dependency>



		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleSIDS</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleConfig</artifactId>
			<version>0.2</version>
		</dependency>

		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleSoundModem</artifactId>
			<version>0.0.2-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>org.josast</groupId>
			<artifactId>ModuleEntrySatTelemetry</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>


		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>3.8.1</version>
			<scope>test</scope>
		</dependency>


		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-controls</artifactId>
			<version>12</version>
		</dependency>
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-fxml</artifactId>
			<version>12</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/org.openjfx/javafx-swing -->
		<dependency>
			<groupId>org.openjfx</groupId>
			<artifactId>javafx-swing</artifactId>
			<version>11-ea+24</version>
		</dependency>

	</dependencies>
	<build>
		<plugins>

			<plugin>
				<groupId>org.openjfx</groupId>
				<artifactId>javafx-maven-plugin</artifactId>
				<version>0.0.1</version>
				<configuration>
					<mainClass>HelloFX</mainClass>
				</configuration>
			</plugin>




			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-assembly-plugin</artifactId>

				<executions>
					<execution>
						<id>make-assembly</id> <!-- this is used for inheritance merges -->
						<phase>package</phase> <!-- bind to the packaging phase -->
						<goals>
							<goal>single</goal>
						</goals>
					</execution>

				</executions>
				<configuration>
					<archive>
						<manifest>
							<mainClass>
								org.josast.EntrysatDecoder.Main
							</mainClass>
						</manifest>
					</archive>
					<descriptorRefs>
						<descriptorRef>jar-with-dependencies</descriptorRef>
					</descriptorRefs>
				</configuration>


			</plugin>
		</plugins>

	</build>

</project>
